﻿using SharpChat.Events;
using System;
using System.Collections.Generic;

namespace SharpChat.EventStorage {
    public interface IEventStorage {
        void AddEvent(IChatEvent evt);
        void RemoveEvent(IChatEvent evt);
        IChatEvent GetEvent(long seqId);
        IEnumerable<IChatEvent> GetTargetEventLog(string target, int amount = 20, int offset = 0);
    }
}
